<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable46;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable46Import implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

// cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null && $row[4] === null && $row[5] === null && $row[6] === null && $row[7] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable46([
            'dataset_id'        => $this->datasetId,
            'created_by'        => $this->userId,
            'kabupaten_kota'    => $row[1],
            'lokasi'            => $row[2],
            'nama_tpa'          => $row[3],
            'jenis_tpa'         => $row[4],
            'luas_tpa'          => $row[5],
            'kapasitas'         => $row[6],
            'volume_eksisting'  => $row[7],
        ]);
    }
}
